osl::move_action::NoEffectFilter< P, OrigAction > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | Private Attributes | List of all members
osl::move_action::NoEffectFilter< P, OrigAction > Class Template Reference

利きのないところへ動くためのフィルタ More...

`#include <noEffectFilter.h>`

Collaboration diagram for osl::move_action::NoEffectFilter< P, OrigAction >:
[legend]

## Public Member Functions
| NoEffectFilter (const NumEffectState &s, OrigAction &action, Square pos)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player, Move m)
void | unknownMove (Square from, Square to, Piece p1, Ptype ptype, bool isPromote, Player, Move m)
void | dropMove (Square to, Ptype ptype, Player, Move m)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)

## Private Member Functions
| BOOST_CLASS_REQUIRE (OrigAction, osl::move_action, Concept)

## Private Attributes
const NumEffectState & | state
OrigAction & | action
Square | removed

## Detailed Description

### template<Player P, class OrigAction>
class osl::move_action::NoEffectFilter< P, OrigAction >

利きのないところへ動くためのフィルタ

Definition at line 16 of file noEffectFilter.h.

## Constructor & Destructor Documentation

template<Player P, class OrigAction >

osl::move_action::NoEffectFilter< P, OrigAction >::NoEffectFilter | ( | const NumEffectState & | s,
|  | OrigAction & | action,
|  | Square | pos
| ) |  |
| inline

Definition at line 23 of file noEffectFilter.h.

## Member Function Documentation

template<Player P, class OrigAction >

osl::move_action::NoEffectFilter< P, OrigAction >::BOOST_CLASS_REQUIRE | ( | OrigAction | ,
|  | osl::move_action | ,
|  | Concept |
| ) |  |
| private

template<Player P, class OrigAction >

void osl::move_action::NoEffectFilter< P, OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | ,
|  | Move | m
| ) |  |
| inline

ここは呼ばれないはず

Definition at line 33 of file noEffectFilter.h.

References osl::move_action::NoEffectFilter< P, OrigAction >::action, osl::move_action::NoEffectFilter< P, OrigAction >::removed, and osl::move_action::NoEffectFilter< P, OrigAction >::state.

Referenced by osl::move_action::NoEffectFilter< P, OrigAction >::dropMove().

template<Player P, class OrigAction >

void osl::move_action::NoEffectFilter< P, OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p
| ) |  |
| inline

Definition at line 51 of file noEffectFilter.h.

References osl::move_action::NoEffectFilter< P, OrigAction >::dropMove().

template<Player P, class OrigAction >

void osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | ,
|  | Move | m
| ) |  |
| inline

Definition at line 24 of file noEffectFilter.h.

References osl::move_action::NoEffectFilter< P, OrigAction >::action, osl::move_action::NoEffectFilter< P, OrigAction >::removed, and osl::move_action::NoEffectFilter< P, OrigAction >::state.

Referenced by osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove().

template<Player P, class OrigAction >

void osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 39 of file noEffectFilter.h.

References osl::PTYPE_EMPTY, and osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove().

template<Player P, class OrigAction >

void osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | p1,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | ,
|  | Move | m
| ) |  |
| inline

Definition at line 28 of file noEffectFilter.h.

References osl::move_action::NoEffectFilter< P, OrigAction >::action, osl::move_action::NoEffectFilter< P, OrigAction >::removed, and osl::move_action::NoEffectFilter< P, OrigAction >::state.

Referenced by osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

void osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 45 of file noEffectFilter.h.

References osl::Piece::ptype(), and osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove().

## Member Data Documentation

template<Player P, class OrigAction >

OrigAction& osl::move_action::NoEffectFilter< P, OrigAction >::action
| private

Definition at line 20 of file noEffectFilter.h.

Referenced by osl::move_action::NoEffectFilter< P, OrigAction >::dropMove(), osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove(), and osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

Square osl::move_action::NoEffectFilter< P, OrigAction >::removed
| private

Definition at line 21 of file noEffectFilter.h.

Referenced by osl::move_action::NoEffectFilter< P, OrigAction >::dropMove(), osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove(), and osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove().

template<Player P, class OrigAction >

const NumEffectState& osl::move_action::NoEffectFilter< P, OrigAction >::state
| private

Definition at line 19 of file noEffectFilter.h.

Referenced by osl::move_action::NoEffectFilter< P, OrigAction >::dropMove(), osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove(), and osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove().

The documentation for this class was generated from the following file:

- noEffectFilter.h